Skip to main content
POST
/
v2
/
reporting
/
messages
/
logs
User SMS Logs
curl --request POST \
  --url https://api.voxo.co/v2/reporting/messages/logs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "records": [
    {
      "id": 123,
      "direction": "<string>",
      "from": "<string>",
      "to": "<string>",
      "body": "<string>",
      "status": "<string>",
      "timestamp": "<string>",
      "peerName": "<string>",
      "name": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "maxPage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

phoneNumber
string[]

Filter by phone numbers

direction

Message direction filter (inbound or outbound)

Available options:
inbound
recordsPerPage
number

Number of records per page

page
number

Page number

reportType

Report type (Scheduled, Export, or Live)

Available options:
Scheduled

Response

SMS logs or export acknowledgement

Paginated SMS logs

records
object[]
required

SMS log records

total
number
required

Total matching records

page
number
required

Current page number

maxPage
number
required

Maximum page number